<?php
declare(strict_types=1);

namespace PpPhp\Core\Platform\Compatibility\Contracts;

interface CompatibilityAdapterInterface
{
    public function id(): string;
    public function legacy(): string;
    public function canonical(): string;
    public function status(): string;
    public function toArray(): array;
}
